Package ru.bitel.bgbilling.kernel.tariff.server.bean

# Class TariffPlanDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<TariffPlan>
ru.bitel.common.dao.AbstractIdDao<TariffPlan>
ru.bitel.common.dao.AbstractDirectoryIdDao<TariffPlan>
ru.bitel.bgbilling.kernel.tariff.server.bean.TariffPlanDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<TariffPlan>`

public class TariffPlanDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<TariffPlan>
Управление объектами типа `TariffPlan`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `TariffPlanDao.TariffPlanCounts`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffPlanDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `copyTariffPlan(int tariffPlanId)`
  Создает новый тарифный план, полностью аналогичный заданному
  `int`
  `copyTariffPlan(TariffPlan tp)`
  Создает новый тарифный план с такими же значениями полей, как и у заданного плана.
  `TariffPlan`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected TariffPlan`
  `getFromRS(ResultSet rs)`
  `List<IdTitle>`
  `getModuleList()`
  Возвращает список модулей для которых может быть определено тарифное дерево
  `Map<Integer,Integer>`
  `getModuleTrees(int treeId)`
  `Map<Integer,TariffPlanDao.TariffPlanCounts>`
  `getTariffContractCount(List<Integer> tariffIds)`
  `List<TariffPlan>`
  `getTariffPlanList(int defaultTariffPlanId, List<Integer> contractLabelIds, int face, String title)`
  Возвращает список тарифных планов по фильтру
  `List<TariffPlan>`
  `getTariffPlanList(List<Integer> idFilter)`
  Deprecated.
  Use `list(List<Integer>)` instead
  `Map<Integer,TariffPlan>`
  `getTariffPlanMap()`
  Получение Map с ключами Integer - код тарифа и значениями типа TariffPlan
  `int`
  `getTariffPlanTreeId(int tariffPlanId)`
  `protected int`
  `insertNode(PreparedStatement psInsertNode, ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode treeNode)`
  `protected int`
  `insertNodeCopy(Map<Integer,Integer> linkNodeIds, PreparedStatement psInsertNode, Map<Integer,ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode> oldNodeMap, ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode oldTreeNode)`
  `List<TariffPlan>`
  `list()`
  Список всех объектов `TariffPlan` с сортировкой по названию
  `List<TariffPlan>`
  `list(List<Integer> idFilter)`
  Список объектов `TariffPlan` упорядоченный по названию
  `void`
  `searchTariffPlans(SearchResult<TariffPlan> searchResult, int showActual, List<Integer> moduleIds, List<Integer> labelIds, String titleMask)`
  `protected void`
  `updateImpl(TariffPlan tariffPlan)`
  `boolean`
  `usesModule(int tariffPlanId, int moduleId)`
  Проверяет, использует ли тарифный план данный модуль

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### TariffPlanDao

    public TariffPlanDao(Connection con)

- ## Method Details

  - ### getTariffPlanMap

    public Map<Integer,TariffPlan> getTariffPlanMap() throws ru.bitel.bgbilling.common.BGException
    Получение Map с ключами Integer - код тарифа и значениями типа TariffPlan
    Returns:
      Map
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<TariffPlan> list() throws ru.bitel.bgbilling.common.BGException
    Список всех объектов `TariffPlan` с сортировкой по названию
    Returns:
      List
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffPlanList

    @Deprecated public List<TariffPlan> getTariffPlanList(List<Integer> idFilter) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Use `list(List<Integer>)` instead
    Список объектов `TariffPlan` упорядоченный по названию
    Parameters:
      `idFilter` - - cписок-фильтр с кодами тарифов
    Returns:
      List
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<TariffPlan> list(List<Integer> idFilter) throws ru.bitel.bgbilling.common.BGException
    Список объектов `TariffPlan` упорядоченный по названию
    Parameters:
      `idFilter` - - cписок-фильтр с кодами тарифов
    Returns:
      List
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffPlanList

    public List<TariffPlan> getTariffPlanList(int defaultTariffPlanId, List<Integer> contractLabelIds, int face, String title) throws ru.bitel.bgbilling.common.BGException
    Возвращает список тарифных планов по фильтру
    Parameters:
      `defaultTariffPlanId` - код тарифного плана, который должен быть включен в список независимо от того, удовлетворяет он фильтру или нет
      `face` - физ или юр лицо, для которого предписан тариф
      `title` - номер договора, который должен удовлетворять паттерну тарифа
      `groups` - маска групп
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### copyTariffPlan

    public int copyTariffPlan(int tariffPlanId) throws ru.bitel.bgbilling.common.BGException
    Создает новый тарифный план, полностью аналогичный заданному
    Parameters:
      `tariffPlanId` - - копируемый тарифный план
    Returns:
      код нового тарифного плана
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### insertNodeCopy

    protected int insertNodeCopy(Map<Integer,Integer> linkNodeIds, PreparedStatement psInsertNode, Map<Integer,ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode> oldNodeMap, ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode oldTreeNode) throws SQLException
    Throws:
      `SQLException`

  - ### insertNode

    protected int insertNode(PreparedStatement psInsertNode, ru.bitel.bgbilling.kernel.tariff.server.bean.TreeNode treeNode) throws SQLException
    Throws:
      `SQLException`

  - ### copyTariffPlan

    public int copyTariffPlan(TariffPlan tp) throws ru.bitel.bgbilling.common.BGException
    Создает новый тарифный план с такими же значениями полей, как и у заданного плана.
    Parameters:
      `tp` - - копируемый тарифный план
    Returns:
      код скопированного тарифного плана
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffPlanTreeId

    public int getTariffPlanTreeId(int tariffPlanId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModuleTrees

    public Map<Integer,Integer> getModuleTrees(int treeId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `treeId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### usesModule

    public boolean usesModule(int tariffPlanId, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Проверяет, использует ли тарифный план данный модуль
    Parameters:
      `moduleId` - код модуля
      `plan` - тарифный план
    Returns:
      true - если использует
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTariffPlans

    public void searchTariffPlans(SearchResult<TariffPlan> searchResult, int showActual, List<Integer> moduleIds, List<Integer> labelIds, String titleMask) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffContractCount

    public Map<Integer,TariffPlanDao.TariffPlanCounts> getTariffContractCount(List<Integer> tariffIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModuleList

    public List<IdTitle> getModuleList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список модулей для которых может быть определено тарифное дерево
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected TariffPlan getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<TariffPlan>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(TariffPlan tariffPlan) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TariffPlan>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### get

    public TariffPlan get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`